<?php

declare(strict_types=1);

namespace App\Events;

use App\Models\PaymentTransaction;
use App\Models\User;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class PaymentSucceeded
{
    use Dispatchable, SerializesModels;

    public function __construct(
        public User $user,
        public PaymentTransaction $transaction,
    ) {}
}
